#!/usr/bin/env python
import urllib2, re, glob, shutil

dlpage = urllib2.urlopen("http://www.postgresql.org/ftp/source/")
versions = re.findall(r'''"v(9\.3\.[0-9.]+)"''', dlpage.read())

versions.sort(key=lambda x: map(int, x.split(".")) )
version = versions[-1]

newBuildFile = "postgresql-" + version + ".build"
buildFile, = glob.glob("postgresql-*.build")

if buildFile != newBuildFile:
    print "mv {old} {new}".format(old=buildFile, new=newBuildFile)
    shutil.move(buildFile, newBuildFile)
